Skip to main content

[Deprecated] Accept a trade offer

PATCH 

/v1/offers/:Offer-ID/accept

Upon presentation of a trade offer, this endpoint facilitates the user's acceptance of the offer, effectively signalling their agreement to proceed with the trade under the specified conditions. A user can only accept the newest offer created and it can be done within its validity.

When a user submits a request to accept a trade offer, the platform immediately begins to process this request to finalise the trade. However, there are instances when the processing cannot be completed within a short, predefined time frame (e.g. 10 seconds). In such cases, rather than leaving the user uncertain of the request's status, the API responds with a 202 Accepted status code. This response serves as an acknowledgment that the user's request has been successfully received and is in the queue for processing (in progress status), but it has not yet been finalised.

After receiving 202 Accepted, check the offer status using the Offer Status endpoint.

Request

Responses

Offer has been accepted